
execute store result score #players globals if entity @a[tag=play]
execute if score #players globals matches 2.. run scoreboard players set #MULTI globals 1
execute unless score #players globals matches 2.. run scoreboard players set #MULTI globals 0


function terminal:gameplay
function terminal:animate
execute if score #DEBUG globals matches 1 run function terminal:debug
#execute if score #MUSIC_RUNNING globals matches 1 run function terminal:other/music/tick
execute if score #SWIM globals matches 1 run function terminal:single_mechanics/swim/tick
execute if score #ELYTRA globals matches 1 run function terminal:single_mechanics/elytra/tick
execute if score #FIGHT globals matches 1 run function terminal:single_mechanics/fight/tick
execute if score #TERRACOTTA globals matches 1 run function terminal:single_mechanics/terracotta/tick
execute if score #PRISON globals matches 1 run function terminal:single_mechanics/prison/tick
execute if score #START globals matches 1 run function terminal:single_mechanics/start/tick
execute if score #JUMP globals matches 1 run function terminal:single_mechanics/jump/tick
execute if score #RUNNER globals matches 1 run function terminal:single_mechanics/runner/tick

stopsound @a music

#Signs at start
scoreboard players enable @a start_trigger
scoreboard players enable @a start_map
scoreboard players enable @a start_confirm

execute as @a[scores={start_trigger=16}] run function terminal:join_game
execute as @a[scores={start_trigger=16}] at @s run playsound minecraft:ui.button.click master @a


give @a[scores={start_trigger=5}] minecraft:written_book{title:"How to play",author:"Creator",generation:0,resolved:1b,pages:['[{"text":"How to play","color":"dark_blue","bold":true,"underlined":true},{"text":"\\n\\nRemember this: The map is never over. Once it is over, you\'ll definitely know. If you are unsure, the map just isn\'t over. If you find yourself not knowing what to do next, you are forgetting something. Use everything you have available to you!","color":"reset","bold":false,"underlined":false}]','{"text":"Another thing you need to remember if you are on multiplayer: To continue, sometimes all players need to be in a certain area. Most of the time it is obvious which one it is, but you shouldn\'t forget that!"}']} 1
give @a[scores={start_trigger=4}] minecraft:written_book{title:"Resource Pack Check",author:"Creator",pages:['[{"text":"             \\ue800\\n","color":"red"},{"text":"There is a resource pack that comes with\\n\\n\\nthe world download. If it is successfully installed you should see a ","color":"black"},{"text":"red heart","color":"red"},{"text":"\\nabove. If you can see it, everything is fine. ","color":"black"},{"text":"\\nIf not, go to the next page","bold":"true","color":"reset"}]','[{"text":"So, your Resource Pack is not successfully installed. To install it properly, take the "},{"text":"\\"resources.zip\\"","bold":true},{"text":" file you can find in the world save folder. Take this file and put it into your resource pack folder. Then load it like you would load a normal Resource Pack."}]','{"text":"The name of the resource pack is the same as the map: \\"Testing and Wasting Laboratories\\""}']} 1


execute as @a[scores={start_map=1943},limit=1] run tellraw @a ["",{"text":"Are you sure everyone has clicked the ","color":"gold"},{"text":"[Play]","color":"blue"},{"text":" sign? If you are ready, click ","color":"gold"},{"text":"[This]","bold":true,"color":"dark_aqua","clickEvent":{"action":"run_command","value":"/trigger start_confirm set 19"},"hoverEvent":{"action":"show_text","value":["",{"text":"Click to confirm and start the game"}]}},{"text":" to start the game","color":"gold"}]
execute as @a[scores={start_confirm=19},limit=1] run tellraw @a [{"text":"Starting..."}]
execute as @a[scores={start_confirm=19},limit=1] run function terminal:single_mechanics/start/init
execute as @a[scores={start_map=1943}] at @s run playsound minecraft:ui.button.click master @a

execute as @a[scores={start_trigger=2}] run function terminal:join_session

clear @a[scores={start_trigger=6}]

execute if entity @a[scores={start_trigger=3}] run function terminal:switch_difficulty

execute as @a[scores={start_trigger=3..6}] at @s run playsound minecraft:ui.button.click master @a

scoreboard players set @a start_trigger 0
scoreboard players set @a start_map 0
scoreboard players set @a start_confirm 0


execute as @a[tag=levitate] run function terminal:single_mechanics/levitation/levitate

execute as @a[tag=timecd] run function terminal:timing/time_countdown
execute as @a[tag=time] run function terminal:timing/time_calc
execute as @a[tag=time] run function terminal:timing/display_actionbar

#Trigger Areas
function terminal:area

#LAST
scoreboard players set @a carrot 0